Package org.eclipse.e4.ui.css.core.dom.properties.css2

# Class AbstractCSSPropertyBorderHandler

java.lang.Object
org.eclipse.e4.ui.css.core.dom.properties.AbstractCSSPropertyCompositeHandler
org.eclipse.e4.ui.css.core.dom.properties.css2.AbstractCSSPropertyBorderCompositeHandler
org.eclipse.e4.ui.css.core.dom.properties.css2.AbstractCSSPropertyBorderHandler

All Implemented Interfaces:
  `ICSSPropertyBorderHandler`, `ICSSPropertyCompositeHandler`, `ICSSPropertyHandler`

Direct Known Subclasses:
  `CSSPropertyBorderSWTHandler`

public abstract class AbstractCSSPropertyBorderHandler extends AbstractCSSPropertyBorderCompositeHandler implements ICSSPropertyBorderHandler
Abstract CSS property background which is enable to manage apply CSS Property border, border-color, border-style...

## Constructor Summary

Constructors
Constructor
Description
`AbstractCSSPropertyBorderHandler()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`applyCSSProperty(Object element, String property, CSSValue value, String pseudo, CSSEngine engine)`
Apply CSS Property `property` (ex : background-color) with CSSValue `value` (ex : red) into the `element` (ex : Swing Component, SWT Widget).
`void`
`applyCSSPropertyBorder(Object element, CSSValue value, String pseudo, CSSEngine engine)`
A shorthand property for setting all of the properties for the four borders in one declaration.
`void`
`applyCSSPropertyBorderBottom(Object element, CSSValue value, String pseudo, CSSEngine engine)`
A shorthand property for setting all of the properties for the bottom border in one declaration.
`void`
`applyCSSPropertyBorderBottomColor(Object element, CSSValue value, String pseudo, CSSEngine engine)`
Sets the color of the bottom border.
`void`
`applyCSSPropertyBorderBottomStyle(Object element, CSSValue value, String pseudo, CSSEngine engine)`
Sets the style of the bottom border.
`void`
`applyCSSPropertyBorderBottomWidth(Object element, CSSValue value, String pseudo, CSSEngine engine)`
Sets the width of the bottom border.
`void`
`applyCSSPropertyBorderColor(Object element, CSSValue value, String pseudo, CSSEngine engine)`
Sets the color of the four borders, can have from one to four colors.
`void`
`applyCSSPropertyBorderColor(CSSBorderProperties border, CSSValue value, String pseudo, CSSEngine engine)`
`void`
`applyCSSPropertyBorderLeft(Object element, CSSValue value, String pseudo, CSSEngine engine)`
A shorthand property for setting all of the properties for the left border in one declaration.
`void`
`applyCSSPropertyBorderLeftColor(Object element, CSSValue value, String pseudo, CSSEngine engine)`
Sets the color of the left border.
`void`
`applyCSSPropertyBorderLeftStyle(Object element, CSSValue value, String pseudo, CSSEngine engine)`
Sets the style of the left border.
`void`
`applyCSSPropertyBorderLeftWidth(Object element, CSSValue value, String pseudo, CSSEngine engine)`
Sets the width of the left border.
`void`
`applyCSSPropertyBorderRight(Object element, CSSValue value, String pseudo, CSSEngine engine)`
A shorthand property for setting all of the properties for the right border in one declaration.
`void`
`applyCSSPropertyBorderRightColor(Object element, CSSValue value, String pseudo, CSSEngine engine)`
Sets the color of the right border.
`void`
`applyCSSPropertyBorderRightStyle(Object element, CSSValue value, String pseudo, CSSEngine engine)`
Sets the style of the right border.
`void`
`applyCSSPropertyBorderRightWidth(Object element, CSSValue value, String pseudo, CSSEngine engine)`
Sets the width of the right border.Available values are= thin medium thick length
`void`
`applyCSSPropertyBorderStyle(Object element, CSSValue value, String pseudo, CSSEngine engine)`
Sets the style of the four borders, can have from one to four styles.
`void`
`applyCSSPropertyBorderStyle(CSSBorderProperties border, CSSValue value, String pseudo, CSSEngine engine)`
`void`
`applyCSSPropertyBorderTop(Object element, CSSValue value, String pseudo, CSSEngine engine)`
A shorthand property for setting all of the properties for the top border in one declaration.
`void`
`applyCSSPropertyBorderTopColor(Object element, CSSValue value, String pseudo, CSSEngine engine)`
Sets the color of the top border.
`void`
`applyCSSPropertyBorderTopStyle(Object element, CSSValue value, String pseudo, CSSEngine engine)`
Sets the style of the top border.
`void`
`applyCSSPropertyBorderTopWidth(Object element, CSSValue value, String pseudo, CSSEngine engine)`
Sets the width of the top border.
`void`
`applyCSSPropertyBorderWidth(Object element, CSSValue value, String pseudo, CSSEngine engine)`
A shorthand property for setting the width of the four borders in one declaration, can have from one to four values.
`void`
`applyCSSPropertyBorderWidth(CSSBorderProperties border, CSSValue value, String pseudo, CSSEngine engine)`
`String`
`retrieveCSSProperty(Object element, String property, String pseudo, CSSEngine engine)`
Retrieve CSS value (ex : red) of CSS Property `property` (ex : background-color) from the `element` (ex : Swing Component, SWT Widget).
`String`
`retrieveCSSPropertyBorder(Object element, String pseudo, CSSEngine engine)`
`String`
`retrieveCSSPropertyBorderBottom(Object element, String pseudo, CSSEngine engine)`
`String`
`retrieveCSSPropertyBorderBottomColor(Object element, String pseudo, CSSEngine engine)`
`String`
`retrieveCSSPropertyBorderBottomStyle(Object element, String pseudo, CSSEngine engine)`
`String`
`retrieveCSSPropertyBorderBottomWidth(Object element, String pseudo, CSSEngine engine)`
`String`
`retrieveCSSPropertyBorderColor(Object element, String pseudo, CSSEngine engine)`
`String`
`retrieveCSSPropertyBorderLeft(Object element, String pseudo, CSSEngine engine)`
`String`
`retrieveCSSPropertyBorderLeftColor(Object element, String pseudo, CSSEngine engine)`
`String`
`retrieveCSSPropertyBorderLeftStyle(Object element, String pseudo, CSSEngine engine)`
`String`
`retrieveCSSPropertyBorderLeftWidth(Object element, String pseudo, CSSEngine engine)`
`String`
`retrieveCSSPropertyBorderRight(Object element, String pseudo, CSSEngine engine)`
`String`
`retrieveCSSPropertyBorderRightColor(Object element, String pseudo, CSSEngine engine)`
`String`
`retrieveCSSPropertyBorderRightStyle(Object element, String pseudo, CSSEngine engine)`
`String`
`retrieveCSSPropertyBorderRightWidth(Object element, String pseudo, CSSEngine engine)`
`String`
`retrieveCSSPropertyBorderStyle(Object element, String pseudo, CSSEngine engine)`
`String`
`retrieveCSSPropertyBorderTop(Object element, String pseudo, CSSEngine engine)`
`String`
`retrieveCSSPropertyBorderTopColor(Object element, String pseudo, CSSEngine engine)`
`String`
`retrieveCSSPropertyBorderTopStyle(Object element, String pseudo, CSSEngine engine)`
`String`
`retrieveCSSPropertyBorderTopWidth(Object element, String pseudo, CSSEngine engine)`
`String`
`retrieveCSSPropertyBorderWidth(Object element, String pseudo, CSSEngine engine)`

### Methods inherited from class org.eclipse.e4.ui.css.core.dom.properties.css2.AbstractCSSPropertyBorderCompositeHandler

`applyCSSProperty, getCSSPropertiesNames, isCSSPropertyComposite`

### Methods inherited from class org.eclipse.e4.ui.css.core.dom.properties.AbstractCSSPropertyCompositeHandler

`applyCSSPropertyComposite`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AbstractCSSPropertyBorderHandler

public AbstractCSSPropertyBorderHandler()

## Method Details

### applyCSSProperty

public boolean applyCSSProperty(Object element, String property, CSSValue value, String pseudo, CSSEngine engine) throws Exception
Description copied from interface: `ICSSPropertyHandler`
Apply CSS Property `property` (ex : background-color) with CSSValue `value` (ex : red) into the `element` (ex : Swing Component, SWT Widget).

Specified by:
  `applyCSSProperty` in interface `ICSSPropertyHandler`
Parameters:
  `element` - Swing Component, SWT Widget...
  `property` - CSS Property
  `value` - CSS value
  `pseudo` - the pseudo class to use, or `null` if none is required
  `engine` - CSS Engine
Returns:
  weather CSS property was applied or not
Throws:
  `Exception` - if applying CSS failed

### retrieveCSSProperty

public String retrieveCSSProperty(Object element, String property, String pseudo, CSSEngine engine) throws Exception
Description copied from interface: `ICSSPropertyHandler`
Retrieve CSS value (ex : red) of CSS Property `property` (ex : background-color) from the `element` (ex : Swing Component, SWT Widget).

Specified by:
  `retrieveCSSProperty` in interface `ICSSPropertyHandler`
Parameters:
  `element` - Swing Component, SWT Widget...
  `property` - CSS Property
  `pseudo` - the pseudo class to use, or `null` if none is required
  `engine` - CSS Engine
Returns:
  retrieved CSS properties or `null`
Throws:
  `Exception` - if retrieving CSS failed

### applyCSSPropertyBorder

public void applyCSSPropertyBorder(Object element, CSSValue value, String pseudo, CSSEngine engine) throws Exception
Description copied from interface: `ICSSPropertyBorderHandler`
A shorthand property for setting all of the properties for the four borders in one declaration. Available values are= border-width border-style border-color

Specified by:
  `applyCSSPropertyBorder` in interface `ICSSPropertyBorderHandler`
Throws:
  `Exception`

### applyCSSPropertyBorderBottom

public void applyCSSPropertyBorderBottom(Object element, CSSValue value, String pseudo, CSSEngine engine) throws Exception
Description copied from interface: `ICSSPropertyBorderHandler`
A shorthand property for setting all of the properties for the bottom border in one declaration. Available values are=border-bottom-width border-style border-color

Specified by:
  `applyCSSPropertyBorderBottom` in interface `ICSSPropertyBorderHandler`
Throws:
  `Exception`

### applyCSSPropertyBorderBottomColor

public void applyCSSPropertyBorderBottomColor(Object element, CSSValue value, String pseudo, CSSEngine engine) throws Exception
Description copied from interface: `ICSSPropertyBorderHandler`
Sets the color of the bottom border. Available values are=border-color

Specified by:
  `applyCSSPropertyBorderBottomColor` in interface `ICSSPropertyBorderHandler`
Throws:
  `Exception`

### applyCSSPropertyBorderBottomStyle

public void applyCSSPropertyBorderBottomStyle(Object element, CSSValue value, String pseudo, CSSEngine engine) throws Exception
Description copied from interface: `ICSSPropertyBorderHandler`
Sets the style of the bottom border. Available values are=border-style

Specified by:
  `applyCSSPropertyBorderBottomStyle` in interface `ICSSPropertyBorderHandler`
Throws:
  `Exception`

### applyCSSPropertyBorderBottomWidth

public void applyCSSPropertyBorderBottomWidth(Object element, CSSValue value, String pseudo, CSSEngine engine) throws Exception
Description copied from interface: `ICSSPropertyBorderHandler`
Sets the width of the bottom border. Available values are= thin medium thick length

Specified by:
  `applyCSSPropertyBorderBottomWidth` in interface `ICSSPropertyBorderHandler`
Throws:
  `Exception`

### applyCSSPropertyBorderColor

public void applyCSSPropertyBorderColor(Object element, CSSValue value, String pseudo, CSSEngine engine) throws Exception
Description copied from interface: `ICSSPropertyBorderHandler`
Sets the color of the four borders, can have from one to four colors. Available values are=color

Specified by:
  `applyCSSPropertyBorderColor` in interface `ICSSPropertyBorderHandler`
Throws:
  `Exception`

### applyCSSPropertyBorderColor

public void applyCSSPropertyBorderColor(CSSBorderProperties border, CSSValue value, String pseudo, CSSEngine engine) throws Exception

Throws:
  `Exception`

### applyCSSPropertyBorderLeft

public void applyCSSPropertyBorderLeft(Object element, CSSValue value, String pseudo, CSSEngine engine) throws Exception
Description copied from interface: `ICSSPropertyBorderHandler`
A shorthand property for setting all of the properties for the left border in one declaration. Available values are=border-left-width border-style border-color

Specified by:
  `applyCSSPropertyBorderLeft` in interface `ICSSPropertyBorderHandler`
Throws:
  `Exception`

### applyCSSPropertyBorderLeftColor

public void applyCSSPropertyBorderLeftColor(Object element, CSSValue value, String pseudo, CSSEngine engine) throws Exception
Description copied from interface: `ICSSPropertyBorderHandler`
Sets the color of the left border. Available values are=border-color

Specified by:
  `applyCSSPropertyBorderLeftColor` in interface `ICSSPropertyBorderHandler`
Throws:
  `Exception`

### applyCSSPropertyBorderLeftStyle

public void applyCSSPropertyBorderLeftStyle(Object element, CSSValue value, String pseudo, CSSEngine engine) throws Exception
Description copied from interface: `ICSSPropertyBorderHandler`
Sets the style of the left border. Available values are=border-style

Specified by:
  `applyCSSPropertyBorderLeftStyle` in interface `ICSSPropertyBorderHandler`
Throws:
  `Exception`

### applyCSSPropertyBorderLeftWidth

public void applyCSSPropertyBorderLeftWidth(Object element, CSSValue value, String pseudo, CSSEngine engine) throws Exception
Description copied from interface: `ICSSPropertyBorderHandler`
Sets the width of the left border. Available values are=thin medium thick length

Specified by:
  `applyCSSPropertyBorderLeftWidth` in interface `ICSSPropertyBorderHandler`
Throws:
  `Exception`

### applyCSSPropertyBorderRight

public void applyCSSPropertyBorderRight(Object element, CSSValue value, String pseudo, CSSEngine engine) throws Exception
Description copied from interface: `ICSSPropertyBorderHandler`
A shorthand property for setting all of the properties for the right border in one declaration. Available values are=border-right-width border-style border-color

Specified by:
  `applyCSSPropertyBorderRight` in interface `ICSSPropertyBorderHandler`
Throws:
  `Exception`

### applyCSSPropertyBorderRightColor

public void applyCSSPropertyBorderRightColor(Object element, CSSValue value, String pseudo, CSSEngine engine) throws Exception
Description copied from interface: `ICSSPropertyBorderHandler`
Sets the color of the right border. Available values are=border-color

Specified by:
  `applyCSSPropertyBorderRightColor` in interface `ICSSPropertyBorderHandler`
Throws:
  `Exception`

### applyCSSPropertyBorderRightStyle

public void applyCSSPropertyBorderRightStyle(Object element, CSSValue value, String pseudo, CSSEngine engine) throws Exception
Description copied from interface: `ICSSPropertyBorderHandler`
Sets the style of the right border. Available values are=border-style

Specified by:
  `applyCSSPropertyBorderRightStyle` in interface `ICSSPropertyBorderHandler`
Throws:
  `Exception`

### applyCSSPropertyBorderRightWidth

public void applyCSSPropertyBorderRightWidth(Object element, CSSValue value, String pseudo, CSSEngine engine) throws Exception
Description copied from interface: `ICSSPropertyBorderHandler`
Sets the width of the right border.Available values are= thin medium thick length

Specified by:
  `applyCSSPropertyBorderRightWidth` in interface `ICSSPropertyBorderHandler`
Throws:
  `Exception`

### applyCSSPropertyBorderStyle

public void applyCSSPropertyBorderStyle(Object element, CSSValue value, String pseudo, CSSEngine engine) throws Exception
Description copied from interface: `ICSSPropertyBorderHandler`
Sets the style of the four borders, can have from one to four styles. Available values are=none hidden dotted dashed solid double groove ridge inset outset

Specified by:
  `applyCSSPropertyBorderStyle` in interface `ICSSPropertyBorderHandler`
Throws:
  `Exception`

### applyCSSPropertyBorderStyle

public void applyCSSPropertyBorderStyle(CSSBorderProperties border, CSSValue value, String pseudo, CSSEngine engine) throws Exception

Throws:
  `Exception`

### applyCSSPropertyBorderTop

public void applyCSSPropertyBorderTop(Object element, CSSValue value, String pseudo, CSSEngine engine) throws Exception
Description copied from interface: `ICSSPropertyBorderHandler`
A shorthand property for setting all of the properties for the top border in one declaration. Available values are=border-top-width border-style border-color

Specified by:
  `applyCSSPropertyBorderTop` in interface `ICSSPropertyBorderHandler`
Throws:
  `Exception`

### applyCSSPropertyBorderTopColor

public void applyCSSPropertyBorderTopColor(Object element, CSSValue value, String pseudo, CSSEngine engine) throws Exception
Description copied from interface: `ICSSPropertyBorderHandler`
Sets the color of the top border. Available values are=border-color

Specified by:
  `applyCSSPropertyBorderTopColor` in interface `ICSSPropertyBorderHandler`
Throws:
  `Exception`

### applyCSSPropertyBorderTopStyle

public void applyCSSPropertyBorderTopStyle(Object element, CSSValue value, String pseudo, CSSEngine engine) throws Exception
Description copied from interface: `ICSSPropertyBorderHandler`
Sets the style of the top border. Available values are=border-style

Specified by:
  `applyCSSPropertyBorderTopStyle` in interface `ICSSPropertyBorderHandler`
Throws:
  `Exception`

### applyCSSPropertyBorderTopWidth

public void applyCSSPropertyBorderTopWidth(Object element, CSSValue value, String pseudo, CSSEngine engine) throws Exception
Description copied from interface: `ICSSPropertyBorderHandler`
Sets the width of the top border. Available values are=thin medium thick length

Specified by:
  `applyCSSPropertyBorderTopWidth` in interface `ICSSPropertyBorderHandler`
Throws:
  `Exception`

### applyCSSPropertyBorderWidth

public void applyCSSPropertyBorderWidth(Object element, CSSValue value, String pseudo, CSSEngine engine) throws Exception
Description copied from interface: `ICSSPropertyBorderHandler`
A shorthand property for setting the width of the four borders in one declaration, can have from one to four values. Available values are=thin medium thick length

Specified by:
  `applyCSSPropertyBorderWidth` in interface `ICSSPropertyBorderHandler`
Throws:
  `Exception`

### applyCSSPropertyBorderWidth

public void applyCSSPropertyBorderWidth(CSSBorderProperties border, CSSValue value, String pseudo, CSSEngine engine) throws Exception

Throws:
  `Exception`

### retrieveCSSPropertyBorder

public String retrieveCSSPropertyBorder(Object element, String pseudo, CSSEngine engine) throws Exception

Specified by:
  `retrieveCSSPropertyBorder` in interface `ICSSPropertyBorderHandler`
Throws:
  `Exception`

### retrieveCSSPropertyBorderBottom

public String retrieveCSSPropertyBorderBottom(Object element, String pseudo, CSSEngine engine) throws Exception

Specified by:
  `retrieveCSSPropertyBorderBottom` in interface `ICSSPropertyBorderHandler`
Throws:
  `Exception`

### retrieveCSSPropertyBorderBottomColor

public String retrieveCSSPropertyBorderBottomColor(Object element, String pseudo, CSSEngine engine) throws Exception

Specified by:
  `retrieveCSSPropertyBorderBottomColor` in interface `ICSSPropertyBorderHandler`
Throws:
  `Exception`

### retrieveCSSPropertyBorderBottomStyle

public String retrieveCSSPropertyBorderBottomStyle(Object element, String pseudo, CSSEngine engine) throws Exception

Specified by:
  `retrieveCSSPropertyBorderBottomStyle` in interface `ICSSPropertyBorderHandler`
Throws:
  `Exception`

### retrieveCSSPropertyBorderBottomWidth

public String retrieveCSSPropertyBorderBottomWidth(Object element, String pseudo, CSSEngine engine) throws Exception

Specified by:
  `retrieveCSSPropertyBorderBottomWidth` in interface `ICSSPropertyBorderHandler`
Throws:
  `Exception`

### retrieveCSSPropertyBorderColor

public String retrieveCSSPropertyBorderColor(Object element, String pseudo, CSSEngine engine) throws Exception

Specified by:
  `retrieveCSSPropertyBorderColor` in interface `ICSSPropertyBorderHandler`
Throws:
  `Exception`

### retrieveCSSPropertyBorderLeft

public String retrieveCSSPropertyBorderLeft(Object element, String pseudo, CSSEngine engine) throws Exception

Specified by:
  `retrieveCSSPropertyBorderLeft` in interface `ICSSPropertyBorderHandler`
Throws:
  `Exception`

### retrieveCSSPropertyBorderLeftColor

public String retrieveCSSPropertyBorderLeftColor(Object element, String pseudo, CSSEngine engine) throws Exception

Specified by:
  `retrieveCSSPropertyBorderLeftColor` in interface `ICSSPropertyBorderHandler`
Throws:
  `Exception`

### retrieveCSSPropertyBorderLeftStyle

public String retrieveCSSPropertyBorderLeftStyle(Object element, String pseudo, CSSEngine engine) throws Exception

Specified by:
  `retrieveCSSPropertyBorderLeftStyle` in interface `ICSSPropertyBorderHandler`
Throws:
  `Exception`

### retrieveCSSPropertyBorderLeftWidth

public String retrieveCSSPropertyBorderLeftWidth(Object element, String pseudo, CSSEngine engine) throws Exception

Specified by:
  `retrieveCSSPropertyBorderLeftWidth` in interface `ICSSPropertyBorderHandler`
Throws:
  `Exception`

### retrieveCSSPropertyBorderRight

public String retrieveCSSPropertyBorderRight(Object element, String pseudo, CSSEngine engine) throws Exception

Specified by:
  `retrieveCSSPropertyBorderRight` in interface `ICSSPropertyBorderHandler`
Throws:
  `Exception`

### retrieveCSSPropertyBorderRightColor

public String retrieveCSSPropertyBorderRightColor(Object element, String pseudo, CSSEngine engine) throws Exception

Specified by:
  `retrieveCSSPropertyBorderRightColor` in interface `ICSSPropertyBorderHandler`
Throws:
  `Exception`

### retrieveCSSPropertyBorderRightStyle

public String retrieveCSSPropertyBorderRightStyle(Object element, String pseudo, CSSEngine engine) throws Exception

Specified by:
  `retrieveCSSPropertyBorderRightStyle` in interface `ICSSPropertyBorderHandler`
Throws:
  `Exception`

### retrieveCSSPropertyBorderRightWidth

public String retrieveCSSPropertyBorderRightWidth(Object element, String pseudo, CSSEngine engine) throws Exception

Specified by:
  `retrieveCSSPropertyBorderRightWidth` in interface `ICSSPropertyBorderHandler`
Throws:
  `Exception`

### retrieveCSSPropertyBorderStyle

public String retrieveCSSPropertyBorderStyle(Object element, String pseudo, CSSEngine engine) throws Exception

Specified by:
  `retrieveCSSPropertyBorderStyle` in interface `ICSSPropertyBorderHandler`
Throws:
  `Exception`

### retrieveCSSPropertyBorderTop

public String retrieveCSSPropertyBorderTop(Object element, String pseudo, CSSEngine engine) throws Exception

Specified by:
  `retrieveCSSPropertyBorderTop` in interface `ICSSPropertyBorderHandler`
Throws:
  `Exception`

### retrieveCSSPropertyBorderTopColor

public String retrieveCSSPropertyBorderTopColor(Object element, String pseudo, CSSEngine engine) throws Exception

Specified by:
  `retrieveCSSPropertyBorderTopColor` in interface `ICSSPropertyBorderHandler`
Throws:
  `Exception`

### retrieveCSSPropertyBorderTopStyle

public String retrieveCSSPropertyBorderTopStyle(Object element, String pseudo, CSSEngine engine) throws Exception

Specified by:
  `retrieveCSSPropertyBorderTopStyle` in interface `ICSSPropertyBorderHandler`
Throws:
  `Exception`

### retrieveCSSPropertyBorderTopWidth

public String retrieveCSSPropertyBorderTopWidth(Object element, String pseudo, CSSEngine engine) throws Exception

Specified by:
  `retrieveCSSPropertyBorderTopWidth` in interface `ICSSPropertyBorderHandler`
Throws:
  `Exception`

### retrieveCSSPropertyBorderWidth

public String retrieveCSSPropertyBorderWidth(Object element, String pseudo, CSSEngine engine) throws Exception

Specified by:
  `retrieveCSSPropertyBorderWidth` in interface `ICSSPropertyBorderHandler`
Throws:
  `Exception`